Skip to content

Reseller API (1.0.0)

Feature Overview

The Reseller API provides domain reseller partners with the ability to search, register and manage traditional DNS domains. The API exposes a RESTful interface for domain registration, DNS management, and domain lifecycle operations.

  • Domain Discovery: Search for specific domains or find suggested alternatives, determine pricing, availability and registration details
  • Domain Registration: Register domains with full control over registration period, contacts, and initial DNS configuration
  • DNS Management: Create, update and delete DNS records for your domains
  • Domain Lifecycle: Manage renewals, transfers, contacts, and domain flags through a simple API interface
  • Marketplace: Browse secondary marketplace listings to find premium domains available for purchase from existing owners

For access, authentication, environments, and your first request, start with the Quick Start.

For implementation guidance on operations, flags, registration flows, contact management, DNS management, webhooks, and lifecycle operations, see the Implementation Guide.

Overview
Unstoppable Domains (Reseller Engineering)
Languages
Servers
Production
https://api.unstoppabledomains.com/partner/v3
Sandbox
https://api.ud-sandbox.com/partner/v3

Lookup multiple domains

Request

Get domain availability and details for multiple domains. Optionally, use the $expand query parameter to include additional data in the response (e.g. ?$expand=registration&$expand=flags).

If a domain is available for registration it will have an availability.status of AVAILABLE and will include an availability.price object.

Search constraints:

  • Each query value must be a fully qualified domain name (e.g. example.com), OR at least one ending parameter must be provided.
  • The total number of domains resolved (queries × endings) must not exceed 50.
  • If a query value already contains a valid TLD (e.g. example.com), it is looked up directly and is not combined with ending values.
Security
bearer
Query
$expandArray of strings(DomainExpandField)
Items Enum"registration""flags"
endingArray of strings

TLD or domain endings to combine with unqualified query labels (e.g. com, net). Required when any query value is an unqualified label.

Default []
queryArray of strings<= 50 itemsrequired

Domain names or labels to search. Fully qualified names (e.g. example.com) are looked up directly. Unqualified labels (e.g. example) are combined with each ending value to produce domain names.

curl -i -X GET \
  'https://api.unstoppabledomains.com/partner/v3/domains?%24expand=registration&query=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of domains matching search query

Bodyapplication/json
@typestringrequired
Value"unstoppabledomains.com/partner.v3.List"
itemsArray of objects(DomainSearchResponse)required
items[].​@typestringrequired
Value"unstoppabledomains.com/partner.v3.Domain"
items[].​namestringrequired
items[].​ownerobject(DomainOwnerResponse)required
items[].​owner.​typestringrequired
Enum"NONE""UD""UNKNOWN"
items[].​owner.​contactIdstring
items[].​availabilityobject(SingleDomainAvailabilityResponse)required
items[].​availability.​sourcestringrequired
Enum"UD""SEDO""AFTERNIC"
items[].​availability.​statusstringrequired
Enum"AVAILABLE""AVAILABLE_BACKORDER""REGISTERED""PROTECTED""COMING_SOON""DISALLOWED""RESERVED""AVAILABLE_FROM_ISSUER""AVAILABLE_FROM_SELLER""EXCEEDS_PRICE_LIMIT"
items[].​availability.​issuerobject(DomainOwnerResponse)
items[].​availability.​priceobject(DomainPriceResponse)
items[].​availability.​offerobject(DomainOfferPriceResponse)
items[].​availability.​additionalPricingobject(DomainAvailabilityAdditionalPricingResponse)
items[].​availability.​constraintsobject(DomainAvailabilityConstraintsResponse)
items[].​availability.​availableAfterTimestampnumber
items[].​registrationobject or null
items[].​flagsobject(DomainFlagsSubResponse)
Response
application/json
{ "@type": "unstoppabledomains.com/partner.v3.List", "items": [ {} ] }

Lookup a single domain

Request

Get availability and details for a single domain. Optionally, use the $expand query parameter to include additional data such as registration details and flags.

Security
bearer
Path
namestringrequired
Query
$expandArray of strings(DomainExpandField)
Items Enum"registration""flags"
curl -i -X GET \
  'https://api.unstoppabledomains.com/partner/v3/domains/{name}?%24expand=registration' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Domain details

Bodyapplication/json
@typestringrequired
Value"unstoppabledomains.com/partner.v3.Domain"
namestringrequired
ownerobject(DomainOwnerResponse)required
owner.​typestringrequired
Enum"NONE""UD""UNKNOWN"
owner.​contactIdstring
availabilityobject(SingleDomainAvailabilityResponse)required
availability.​sourcestringrequired
Enum"UD""SEDO""AFTERNIC"
availability.​statusstringrequired
Enum"AVAILABLE""AVAILABLE_BACKORDER""REGISTERED""PROTECTED""COMING_SOON""DISALLOWED""RESERVED""AVAILABLE_FROM_ISSUER""AVAILABLE_FROM_SELLER""EXCEEDS_PRICE_LIMIT"
availability.​issuerobject(DomainOwnerResponse)
availability.​priceobject(DomainPriceResponse)
availability.​offerobject(DomainOfferPriceResponse)
availability.​additionalPricingobject(DomainAvailabilityAdditionalPricingResponse)
availability.​constraintsobject(DomainAvailabilityConstraintsResponse)
availability.​availableAfterTimestampnumber
registrationobject or null
flagsobject(DomainFlagsSubResponse)
Response
application/json
{ "@type": "unstoppabledomains.com/partner.v3.Domain", "name": "string", "owner": { "type": "NONE", "contactId": "string" }, "availability": { "source": "UD", "status": "AVAILABLE", "issuer": {}, "price": {}, "offer": {}, "additionalPricing": {}, "constraints": {}, "availableAfterTimestamp": 0 }, "registration": { "status": "REGISTERED", "tokenId": "string", "tokenType": "ERC721", "pricing": {}, "expirationDate": "string", "expirationGracePeriodDate": "string", "deletionAtTimestamp": 0, "icann": {} }, "flags": { "DNS_RESOLUTION": {}, "DNS_TRANSFER_OUT": {}, "DNS_DELETE": {}, "DNS_UPDATE": {}, "DNS_RENEW": {}, "DNS_WHOIS_PROXY": {} } }

Suggestions

Find available domain alternatives based on keywords and preferences.

Operations

Registration & Renewals

Register new domains and manage renewals. Use $preview=true to validate requests and get price quotes before committing.

Operations

Domain Management

Comprehensive domain updates — modify nameservers, DNSSEC, contacts, flags, and DNS records in a single request.

Operations

DNS Records

Create, read, update and delete DNS records for your domains. Also includes DNS metadata, nameserver management, and DNSSEC configuration.

Operations

Transfers

Check transfer eligibility and retrieve authorization codes for transferring domains to another registrar.

Operations

Domain Flags

View and manage domain flags that control behavior and security settings such as DNS resolution, transfer locks, WHOIS privacy, and more.

Operations

Domain Contacts

View and update the ICANN-required contacts (owner, admin, tech, billing) assigned to a specific domain.

Operations

Marketplace

Browse and search the Unstoppable Domains secondary marketplace. Retrieve paginated listings of domains available for purchase from existing owners, with filtering by TLD and sorting options.

Operations

Pricing

Retrieve pricing information for domain registration, renewal, transfer, and restoration by domain name or TLD.

Operations

TLDs

Browse available top-level domains (TLDs), their details, and DNS security configuration.

Operations

Contacts

Create and manage ICANN-required contacts for domain registration. Contacts represent individuals or organizations associated with domain roles (owner, admin, tech, billing).

New contacts are automatically sent a verification email upon creation. Contacts can be used in domain registrations immediately, but domains associated with unverified contacts may become unmanageable after a certain period.

Operations

Operations

All asynchronous processes handled by the API are represented as Operations. This includes registering a domain, updating DNS records, renewing a domain, and more.

Operations contain dependencies that represent the individual units of work. Each dependency has its own status, parameters, and result data.

Operations
Webhooks

Hosting

Configure how your domains serve content on the web. Hosting configurations control what happens when someone visits your domain — whether it redirects to another URL or proxies content from another server.

Available hosting types:

  • REDIRECT_301 — Permanent redirect to another URL
  • REDIRECT_302 — Temporary redirect to another URL
  • REVERSE_PROXY — Proxy requests to a backend server

All hosting configurations require SSL certificate provisioning. When a configuration is created or updated, the certificateStatus field will be PENDING until the certificate is issued and active. This process typically completes within a few minutes but may take longer in some cases.

Operations

Account

Manage your account details, authentication tokens, and webhook subscriptions.

Operations